# $Id: 01_basic.t,v 1.1 2006/09/05 08:37:44 pythontech Exp $
use strict;
use Test::More tests => 10;

use PythonTech::QMap;

my $q1 = new PythonTech::QMap(qmap => {
    c => 'http://example.com/',
    cs => 'http://example.com/schema/',
});

is($q1->encode('http://example.com'), 'http://example.com', 'Null');
is($q1->encode('http://example.com/'), 'c:', 'No rest');
is($q1->encode('http://example.com/foo'), 'c:foo', 'Basic qname');
is($q1->encode('http://example.com/user/bar'), 'c:user/bar', 'Extended qname');
is($q1->encode('http://example.com/schema/User'), 'cs:User', 'Sub-URI');

is($q1->decode('http://example.com'), 'http://example.com', 'Null');
is($q1->decode('c:'), 'http://example.com/', 'No rest');
is($q1->decode('c:foo'), 'http://example.com/foo', 'Basic qname');
is($q1->decode('c:user/bar'), 'http://example.com/user/bar', 'Extended qname');
is($q1->decode('cs:User'), 'http://example.com/schema/User', 'Sub-URI');
